LIRC libraries: ir_remote Struct Reference

LIRC libraries Linux Infrared Remote Control

Loading...
Searching...
No Matches
Public Attributes | List of all members
ir_remote Struct Reference

One remote as represented in the configuration file. More...

`#include <ir_remote_types.h>`

## Public Attributes
const char * | name
| name of remote control
const char * | driver
| Name of driver for LIRCCODE cases.
struct ir_ncode * | codes
int | bits
| bits (length of code)
int | flags
| flags
int | eps
| eps (relative tolerance)
unsigned int | aeps
| detecting very short pulses is difficult with relative tolerance for some remotes, this is an absolute tolerance to solve this problem usually you can say 0 here.
char * | dyncodes_name
| name for unknown buttons
int | dyncode
| last received code
struct ir_ncode | dyncodes [2]
| helper structs for unknown buttons
lirc_t | phead
lirc_t | shead
| header
lirc_t | pthree
lirc_t | sthree
| 3 (only used for RC-MM)
lirc_t | ptwo
lirc_t | stwo
| 2 (only used for RC-MM)
lirc_t | pone
lirc_t | sone
| 1
lirc_t | pzero
lirc_t | szero
| 0
lirc_t | plead
| leading pulse
lirc_t | ptrail
| trailing pulse
lirc_t | pfoot
lirc_t | sfoot
| foot
lirc_t | prepeat
lirc_t | srepeat
| indicate repeating
int | pre_data_bits
| length of pre_data
ir_code | pre_data
| data which the remote sends before actual keycode
int | post_data_bits
| length of post_data
ir_code | post_data
| data which the remote sends after actual keycode
lirc_t | pre_p
lirc_t | pre_s
| signal between pre_data and keycode
lirc_t | post_p
lirc_t | post_s
| signal between keycode and post_code
uint32_t | gap
| time between signals in usecs
uint32_t | gap2
| time between signals in usecs
uint32_t | repeat_gap
| time between two repeat codes if different from gap
int | toggle_bit
| obsolete
ir_code | toggle_bit_mask
| previously only one bit called toggle_bit
int | suppress_repeat
| suppress unwanted repeats
int | min_repeat
| code is repeated at least x times code sent once -> min_repeat=0
unsigned int | min_code_repeat
| meaningful only if remote sends a repeat code: in this case this value indicates how often the real code is repeated before the repeat code is being sent
unsigned int | freq
| modulation frequency
unsigned int | duty_cycle
| 0<duty cycle<=100 default: 50
ir_code | toggle_mask
| Sharp (?) error detection scheme.
ir_code | rc6_mask
| RC-6 doubles signal length of some bits.
unsigned int | baud
| can be overridden by [p|s]zero, [p|s]one
unsigned int | bits_in_byte
| default: 8
unsigned int | parity
| currently unsupported
unsigned int | stop_bits
| mapping: 1->2 1.5->3 2->4
ir_code | ignore_mask
| mask defines which bits can be ignored when matching a code
ir_code | repeat_mask
| mask defines which bits are inverted for repeats
ir_code | toggle_bit_mask_state
int | toggle_mask_state
int | repeat_countdown
struct ir_ncode * | last_code
| code received or sent last
struct ir_ncode * | toggle_code
| toggle code received or sent last
int | reps
struct timeval | last_send
| time last_code was received or sent
lirc_t | min_remaining_gap
| remember gap for CONST_LENGTH remotes
lirc_t | max_remaining_gap
| gap range
lirc_t | min_total_signal_length
| how long is the shortest signal including gap
lirc_t | max_total_signal_length
| how long is the longest signal including gap
lirc_t | min_gap_length
| how long is the shortest gap
lirc_t | max_gap_length
| how long is the longest gap
lirc_t | min_pulse_length
lirc_t | max_pulse_length
lirc_t | min_space_length
lirc_t | max_space_length
int | release_detected
| set by release generator
int | manual_sort
| If set in any remote, disables automatic sorting.
struct ir_remote * | next

## Detailed Description

One remote as represented in the configuration file.

Definition at line 150 of file ir_remote_types.h.

## Member Data Documentation

## ◆ aeps

unsigned int ir_remote::aeps

detecting very short pulses is difficult with relative tolerance for some remotes, this is an absolute tolerance to solve this problem usually you can say 0 here.

Definition at line 157 of file ir_remote_types.h.

## ◆ baud

unsigned int ir_remote::baud

can be overridden by [p|s]zero, [p|s]one

Definition at line 209 of file ir_remote_types.h.

## ◆ bits

int ir_remote::bits

bits (length of code)

Definition at line 154 of file ir_remote_types.h.

## ◆ bits_in_byte

unsigned int ir_remote::bits_in_byte

default: 8

Definition at line 210 of file ir_remote_types.h.

## ◆ codes

struct ir_ncode* ir_remote::codes

Definition at line 153 of file ir_remote_types.h.

## ◆ driver

const char* ir_remote::driver

Name of driver for LIRCCODE cases.

Definition at line 152 of file ir_remote_types.h.

## ◆ duty_cycle

unsigned int ir_remote::duty_cycle

0<duty cycle<=100 default: 50

Definition at line 204 of file ir_remote_types.h.

## ◆ dyncode

int ir_remote::dyncode

last received code

Definition at line 164 of file ir_remote_types.h.

## ◆ dyncodes

struct ir_ncode ir_remote::dyncodes[2]

helper structs for unknown buttons

Definition at line 165 of file ir_remote_types.h.

## ◆ dyncodes_name

char* ir_remote::dyncodes_name

name for unknown buttons

Definition at line 163 of file ir_remote_types.h.

## ◆ eps

int ir_remote::eps

eps (relative tolerance)

Definition at line 156 of file ir_remote_types.h.

## ◆ flags

int ir_remote::flags

flags

Definition at line 155 of file ir_remote_types.h.

## ◆ freq

unsigned int ir_remote::freq

modulation frequency

Definition at line 203 of file ir_remote_types.h.

## ◆ gap

uint32_t ir_remote::gap

time between signals in usecs

Definition at line 186 of file ir_remote_types.h.

## ◆ gap2

uint32_t ir_remote::gap2

time between signals in usecs

Definition at line 187 of file ir_remote_types.h.

## ◆ ignore_mask

ir_code ir_remote::ignore_mask

mask defines which bits can be ignored when matching a code

Definition at line 216 of file ir_remote_types.h.

## ◆ last_code

struct ir_ncode* ir_remote::last_code

code received or sent last

Definition at line 223 of file ir_remote_types.h.

## ◆ last_send

struct timeval ir_remote::last_send

time last_code was received or sent

Definition at line 226 of file ir_remote_types.h.

## ◆ manual_sort

int ir_remote::manual_sort

If set in any remote, disables automatic sorting.

Definition at line 237 of file ir_remote_types.h.

## ◆ max_gap_length

lirc_t ir_remote::max_gap_length

how long is the longest gap

Definition at line 233 of file ir_remote_types.h.

## ◆ max_pulse_length

lirc_t ir_remote::max_pulse_length

Definition at line 234 of file ir_remote_types.h.

## ◆ max_remaining_gap

lirc_t ir_remote::max_remaining_gap

gap range

Definition at line 228 of file ir_remote_types.h.

## ◆ max_space_length

lirc_t ir_remote::max_space_length

Definition at line 235 of file ir_remote_types.h.

## ◆ max_total_signal_length

lirc_t ir_remote::max_total_signal_length

how long is the longest signal including gap

Definition at line 231 of file ir_remote_types.h.

## ◆ min_code_repeat

unsigned int ir_remote::min_code_repeat

meaningful only if remote sends a repeat code: in this case this value indicates how often the real code is repeated before the repeat code is being sent

Definition at line 202 of file ir_remote_types.h.

## ◆ min_gap_length

lirc_t ir_remote::min_gap_length

how long is the shortest gap

Definition at line 232 of file ir_remote_types.h.

## ◆ min_pulse_length

lirc_t ir_remote::min_pulse_length

Definition at line 234 of file ir_remote_types.h.

## ◆ min_remaining_gap

lirc_t ir_remote::min_remaining_gap

remember gap for CONST_LENGTH remotes

Definition at line 227 of file ir_remote_types.h.

## ◆ min_repeat

int ir_remote::min_repeat

code is repeated at least x times code sent once -> min_repeat=0

Definition at line 194 of file ir_remote_types.h.

## ◆ min_space_length

lirc_t ir_remote::min_space_length

Definition at line 235 of file ir_remote_types.h.

## ◆ min_total_signal_length

lirc_t ir_remote::min_total_signal_length

how long is the shortest signal including gap

Definition at line 230 of file ir_remote_types.h.

## ◆ name

const char* ir_remote::name

name of remote control

Definition at line 151 of file ir_remote_types.h.

## ◆ next

struct ir_remote* ir_remote::next

Definition at line 238 of file ir_remote_types.h.

## ◆ parity

unsigned int ir_remote::parity

currently unsupported

Definition at line 211 of file ir_remote_types.h.

## ◆ pfoot

lirc_t ir_remote::pfoot

Definition at line 176 of file ir_remote_types.h.

## ◆ phead

lirc_t ir_remote::phead

Definition at line 169 of file ir_remote_types.h.

## ◆ plead

lirc_t ir_remote::plead

leading pulse

Definition at line 174 of file ir_remote_types.h.

## ◆ pone

lirc_t ir_remote::pone

Definition at line 172 of file ir_remote_types.h.

## ◆ post_data

ir_code ir_remote::post_data

data which the remote sends after actual keycode

Definition at line 182 of file ir_remote_types.h.

## ◆ post_data_bits

int ir_remote::post_data_bits

length of post_data

Definition at line 181 of file ir_remote_types.h.

## ◆ post_p

lirc_t ir_remote::post_p

Definition at line 184 of file ir_remote_types.h.

## ◆ post_s

lirc_t ir_remote::post_s

signal between keycode and post_code

Definition at line 184 of file ir_remote_types.h.

## ◆ pre_data

ir_code ir_remote::pre_data

data which the remote sends before actual keycode

Definition at line 180 of file ir_remote_types.h.

## ◆ pre_data_bits

int ir_remote::pre_data_bits

length of pre_data

Definition at line 179 of file ir_remote_types.h.

## ◆ pre_p

lirc_t ir_remote::pre_p

Definition at line 183 of file ir_remote_types.h.

## ◆ pre_s

lirc_t ir_remote::pre_s

signal between pre_data and keycode

Definition at line 183 of file ir_remote_types.h.

## ◆ prepeat

lirc_t ir_remote::prepeat

Definition at line 177 of file ir_remote_types.h.

## ◆ pthree

lirc_t ir_remote::pthree

Definition at line 170 of file ir_remote_types.h.

## ◆ ptrail

lirc_t ir_remote::ptrail

trailing pulse

Definition at line 175 of file ir_remote_types.h.

## ◆ ptwo

lirc_t ir_remote::ptwo

Definition at line 171 of file ir_remote_types.h.

## ◆ pzero

lirc_t ir_remote::pzero

Definition at line 173 of file ir_remote_types.h.

## ◆ rc6_mask

ir_code ir_remote::rc6_mask

RC-6 doubles signal length of some bits.

Definition at line 206 of file ir_remote_types.h.

## ◆ release_detected

int ir_remote::release_detected

set by release generator

Definition at line 236 of file ir_remote_types.h.

## ◆ repeat_countdown

int ir_remote::repeat_countdown

Definition at line 222 of file ir_remote_types.h.

## ◆ repeat_gap

uint32_t ir_remote::repeat_gap

time between two repeat codes if different from gap

Definition at line 188 of file ir_remote_types.h.

## ◆ repeat_mask

ir_code ir_remote::repeat_mask

mask defines which bits are inverted for repeats

Definition at line 217 of file ir_remote_types.h.

## ◆ reps

int ir_remote::reps

Definition at line 225 of file ir_remote_types.h.

## ◆ sfoot

lirc_t ir_remote::sfoot

foot

Definition at line 176 of file ir_remote_types.h.

## ◆ shead

lirc_t ir_remote::shead

header

Definition at line 169 of file ir_remote_types.h.

## ◆ sone

lirc_t ir_remote::sone

1

Definition at line 172 of file ir_remote_types.h.

## ◆ srepeat

lirc_t ir_remote::srepeat

indicate repeating

Definition at line 177 of file ir_remote_types.h.

## ◆ sthree

lirc_t ir_remote::sthree

3 (only used for RC-MM)

Definition at line 170 of file ir_remote_types.h.

## ◆ stop_bits

unsigned int ir_remote::stop_bits

mapping: 1->2 1.5->3 2->4

Definition at line 212 of file ir_remote_types.h.

## ◆ stwo

lirc_t ir_remote::stwo

2 (only used for RC-MM)

Definition at line 171 of file ir_remote_types.h.

## ◆ suppress_repeat

int ir_remote::suppress_repeat

suppress unwanted repeats

Definition at line 191 of file ir_remote_types.h.

## ◆ szero

lirc_t ir_remote::szero

0

Definition at line 173 of file ir_remote_types.h.

## ◆ toggle_bit

int ir_remote::toggle_bit

obsolete

Definition at line 189 of file ir_remote_types.h.

## ◆ toggle_bit_mask

ir_code ir_remote::toggle_bit_mask

previously only one bit called toggle_bit

Definition at line 190 of file ir_remote_types.h.

## ◆ toggle_bit_mask_state

ir_code ir_remote::toggle_bit_mask_state

Definition at line 220 of file ir_remote_types.h.

## ◆ toggle_code

struct ir_ncode* ir_remote::toggle_code

toggle code received or sent last

Definition at line 224 of file ir_remote_types.h.

## ◆ toggle_mask

ir_code ir_remote::toggle_mask

Sharp (?) error detection scheme.

Definition at line 205 of file ir_remote_types.h.

## ◆ toggle_mask_state

int ir_remote::toggle_mask_state

Definition at line 221 of file ir_remote_types.h.

The documentation for this struct was generated from the following file:

- /tmp/work/src/lirc-0.10.2/lib/ir_remote_types.h